package org.nakedobjects.example.expenses.fixtures;

import org.nakedobjects.example.expenses.claims.Claims;
import org.nakedobjects.example.expenses.employee.Employees;
import org.nakedobjects.nof.reflect.java.fixture.PerspectiveFixture;

public class ExplorationPerspectiveFixture extends PerspectiveFixture {
    protected void installPerspective() {
        String claims = Claims.class.getSimpleName();
        String employees = Employees.class.getSimpleName();

        addTemplatePerspective("Expenses");
        addService(claims);
        addService(employees);

        addPerspective("sven", "Claims");
        addService(claims);
        addService(employees);

        addPerspective("bob", "Claims");
        addService(claims);
        addService(employees);

        addPerspective("joe", "Claims");
        addService(claims);
        addService(employees);

        addPerspective("dick", "Supervisor");
        addService(claims);
        addService(employees);
 } 
}
